org.jfree.xml.factory.objects

## Class Rectangle2DObjectDescription

- java.lang.Object
- - org.jfree.xml.factory.objects.AbstractObjectDescription
  - - org.jfree.xml.factory.objects.Rectangle2DObjectDescription

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ObjectDescription

    public class Rectangle2DObjectDescription
    extends AbstractObjectDescription

An object-description for a `Rectangle2D` object.

Author:
  Thomas Morgner
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Rectangle2DObjectDescription()` Creates a new object description.

### Method Summary

Methods
`java.lang.Object` `createObject()` Creates an object based on this description.
`void` `setParameterFromObject(java.lang.Object o)` Sets the parameters of this description object to match the supplied object.

### Methods inherited from class org.jfree.xml.factory.objects.AbstractObjectDescription

`configure, convertPrimitiveClass, equals, getConfig, getDefinedParameterNames, getInstance, getObjectClass, getParameter, getParameterDefinition, getParameterNames, getUnconfiguredInstance, hashCode, setParameter, setParameterDefinition`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Rectangle2DObjectDescription

    public Rectangle2DObjectDescription()

Creates a new object description.

### Method Detail

#### createObject

    public java.lang.Object createObject()

Creates an object based on this description.

Returns:
  The object.

#### setParameterFromObject

    public void setParameterFromObject(java.lang.Object o)
                                throws ObjectFactoryException

Sets the parameters of this description object to match the supplied object.

Parameters:
  `o` - the object (should be an instance of `Rectangle2D`).
Throws:
  `ObjectFactoryException` - if the object is not an instance of `Rectangle2D`.